example-app/routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','MainController@pageHome');
Route::get('/incubirovanie','MainController@incubirovanie');
Route::get('/contact','MainController@contacti');
//admin panel
Route::get('/logTo','MainController@loginToTheAdminPanel');

Route::get('/sales','MainController@adminSales');
Route::get('/chat','MainController@adminChat');
Route::get('/mail','MainController@adminMail');
Route::resource('mail', MailController::class);
Route::resource('ocompany', 'App\Http\Controllers\AdminPanel\StatisticController');
Route::resource('company', 'App\Http\Controllers\AdminPanel\CompanyController');
Route::resource('process', 'App\Http\Controllers\AdminPanel\ProcessController');
Route::resource('title', 'App\Http\Controllers\AdminPanel\FirstTitleTetxController');
Route::resource('text', 'App\Http\Controllers\AdminPanel\TetxController');
Route::resource('video', 'App\Http\Controllers\AdminPanel\VideoController');
Route::resource('image', 'App\Http\Controllers\AdminPanel\ImageController');

Route::resource('adminIncubirovanetext', 'App\Http\Controllers\AdminPanel\IncubirovaneTextController');
Route::resource('mailAdd', \App\Http\Controllers\AddUserController::class);

//Form
Route::middleware('auth')->group(function () {
    Route::resource('shop', \App\Http\Controllers\ShopController::class);
    Route::resource('order', \App\Http\Controllers\OrderController::class);
    Route::get('/searchOrders', '\App\Http\Controllers\OrderController@search')->name('order.search');
    Route::resource('trueOrder', \App\Http\Controllers\TrueOrderController::class);
    Route::resource('truemainOrderController', \App\Http\Controllers\TruemainOrderController::class);
    Route::get('/adminPanel','MainController@adminPanel');
    Route::resource('/tableusers',  \App\Http\Controllers\AdminPanel\TableuaserController::class);
    Route::resource('/tableproducts',  \App\Http\Controllers\ProductController::class);
    Route::get('/searchOrdersA', '\App\Http\Controllers\ProductController@search')->name('orderA.search');

Route::prefix('admin')->group(function () {
    Route::prefix('/pageHome')->group(function () {
        Route::resource('/adminIncubirovane', 'App\Http\Controllers\AdminPanel\IncubirovaneController');
        Route::get('/openAdminSlider', 'App\Http\Controllers\AdminPanel\SliderController@slider')->name('adminSlider');
        Route::prefix('adminSlider')->group(function () {
            Route::get('bd/delete{id}', 'App\Http\Controllers\AdminPanel\SliderController@delete')->name('bd.delete');
            Route::resource('bd', 'App\Http\Controllers\AdminPanel\SliderController')->except([
                'create', 'show', 'edit','destroy'
            ]);


        });

        Route::get('/openAdminGalerea', 'App\Http\Controllers\AdminPanel\GalleryController@gallery');
        Route::get('adminGalleryGroup/delete{id}', 'App\Http\Controllers\AdminPanel\GalleryController@deleteCategory')->name('adminGalleryGroup.deleteCategory');
        Route::prefix('adminGalleryGroup')->group(function () {
            Route::resource('adminGalerea', 'App\Http\Controllers\AdminPanel\GalleryController')->except([
                'create', 'edit','destroy'
            ]);
        });
        Route::get('/openAdminNews', 'App\Http\Controllers\AdminPanel\NewsController@news');
        Route::get('/openAdminNews/updatePages{id}', 'App\Http\Controllers\AdminPanel\NewsController@updatePages')->name('NewsController.updatePages');
        Route::prefix('openAdminNewsGroup')->group(function () {
            Route::resource('openAdminNewsGroup', 'App\Http\Controllers\AdminPanel\NewsController')->except([
                'create', 'edit'
            ]);
        });

    });
});
    Route::get('/admin/pageHome/adminIncubirovanie', 'MainController@adminIncubirovane');
    Route::get('/adminContact', 'MainController@adminContact');
});

//формы
Route::post('/form', 'FormController@store')->name('form');

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

example-app/resources/views/adminPanel/page/pageForm/pagehome/Contactfrom.blade.php
@extends('../../../adminPanel/app')

@section('contact')
      active
    @endsection
@section('scriptAdd')
 <script src="{{asset('style/pageAdmin/assets/js/scrollspyNav.js')}}"></script>
 <script src="{{asset('style/pageAdmin/plugins/highlight/highlight.pack.js')}}"></script>
    @endsection
@section('headerAddLink')
    <link href="{{asset('style/pageAdmin/assets/css/scrollspyNav.css')}}" rel="stylesheet" type="text/css" />
    <!-- END PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    @endsection
@section('content')
  <div id="content" class="main-content">
            <div class="container">
                    <div id="navSection" data-spy="affix" class="nav  sidenav">
                        <div class="sidenav-content">
                            <a href="#cart" class=" nav-link">Карта</a>
                        </div>
                         </div>
                <div class="container">
                    <div class="row layout-top-spacing">
                        <div id="cart" class="col-lg-12 layout-spacing">
                           <div class="col-lg-12 col-12 layout-spacing">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">                                
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>Ссылка на карту</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area">
                                    <form method="post" action="{{route('form')}}">
                                        {{ csrf_field() }}
                                        <div class="form-group mb-4">
                                            <label for="exampleFormControlInput2">Текст №1</label>
                                            <input type="text" name="map" class="form-control" id="h-text1" aria-describedby="h-text1" placeholder="">
                                        </div>
                                        <input type="submit" name="time" class="mt-4 mb-4 btn btn-primary">
                                    </form>
                                </div>
                            </div>
                         </div>
                            
                            
                          </div>

   
                        
                    </div>
                </div>
            </div>
  </div>
@endsection

example-app/resources/views/adminPanel/page/pageForm/pagehome/incubirovanieFrom.blade.php
@extends('../../../adminPanel/app')
@section('name')
    Инкубирование
@endsection
@section('incubitovanie')
      active
    @endsection
@section('scriptAdd')
 <script src="{{asset('style/pageAdmin/assets/js/scrollspyNav.js')}}"></script>
 <script src="{{asset('style/pageAdmin/plugins/highlight/highlight.pack.js')}}"></script>
    @endsection
@section('headerAddLink')
    <link href="{{asset('style/pageAdmin/assets/css/scrollspyNav.css')}}" rel="stylesheet" type="text/css" />
    <!-- END PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    @endsection
@section('content')

    <div class="container">
                    <div id="navSection" data-spy="affix" class="nav  sidenav">
                        <div class="sidenav-content">

                            <a href="#tabsSimple" class="active nav-link">Simple</a>

                        </div>
                    </div>

                    <div class="row layout-top-spacing">
                        <div class="col-lg-12 col-12 layout-spacing" >
                            <div class="statbox widget box box-shadow" style="">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>Добавить</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area simple-pills" >

                                  <form method="post" action="{{route('adminIncubirovanetext.store')}}" >
                                    @csrf
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput">
                                                </div>
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput2">Текст</label>
                                                    <textarea style="min-height: 100px" name="text" class="form-control  "  id="exampleFormControlTextarea1" rows="3"></textarea>
                                                </div>

                                                <input type="submit"  class="btn btn-primary">
                                            </form>


                                </div>
                            </div>
                        </div>





                        <div id="tabsSimple" class="col-lg-12 col-12 layout-spacing">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>Обнoвить/Удалить</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area simple-tab">
                                    <ul class="nav nav-tabs  mb-3 mt-3" id="simpletab" role="tablist">
                                        <li class="nav-item">
                                                <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Заголовок</a>
                                            </li>
                                        @foreach($text as $item)
                                        <li class="nav-item">
                                            <a class="nav-link text-truncate" id="home-tab" data-toggle="tab" href="#k{{$item['id']}}" role="tab"style="" aria-controls="home" aria-selected="true">{{$item['title']}}</a>
                                        </li>
                                        @endforeach


                                    </ul>
                                    <div class="tab-content" id="simpletabContent">
                                        <div class="tab-pane fade show active" id="pills-home" style="" role="tabpanel" aria-labelledby="home-tab">
                                             <form method="post" action="{{route('adminIncubirovane.update', 1)}}" enctype="multipart/form-data">
                                                 @csrf
                                                 @method('PUT')
                                                    <img class="rounded d-block w-100" src="{{asset('/storage/'.$title[0]['image'])}}">
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput" value="{{$text[0]['title']}}">
                                                </div>
                                               <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Подзаголовок</label>
                                                    <input name="text" type="text" class="form-control" id="formGroupExampleInput" value="{{$text[0]['text']}}">
                                                </div>
                                                <div class="form-group mb-4 mt-3">
                                                                <label for="exampleFormControlFile1">Загрузите картинку</label>
                                                                <input type="file" name="image" value="" class="form-control-file"  id="exampleFormControlFile1">
                                                            </div>
                                                <div class="d-flex justify-content-between">
                                                    <input type="submit"  class="btn btn-primary">
                                                     <a href="" data-toggle="modal" data-target="#f">
                                                    <td class="text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2 icon"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line></svg></td>
                                                    </a>
                                                </div>

                                            </form>
                                        </div>
                                        <div id="f" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content p-1">
                                                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                                        <h4>Вы точно хотите удалить?</h4>
                                                    </div>
                                                    <a href="{{route('adminIncubirovane.show', 1)}}" class="btn btn-primary mb-2">Да</a>
                                                </div>
                                            </div>
                                        </div>
                                        @foreach ($text as $item)


                                        <div class="tab-pane fade show " id="k{{$item['id']}}" style="" role="tabpanel" aria-labelledby="home-tab">
                                             <form method="post" action="{{route('adminIncubirovanetext.update', $item['id'])}}" >
                                                 @csrf
                                                 @method('PUT')
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput" value="{{$item['title']}}">
                                                </div>
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput2">Текст</label>
                                                     <textarea style="min-height: 100px" name="text" class="form-control  "  id="exampleFormControlTextarea1" rows="3">{{$item['text']}}</textarea>
                                                </div>

                                                 <div class="d-flex justify-content-between">
                                                    <input type="submit"  class="btn btn-primary">
                                                     <a href="" data-toggle="modal" data-target="#h{{$item['id']}}">
                                                    <td class="text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2 icon"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line></svg></td>
                                                    </a>
                                                </div>

                                            </form>
                                        </div>
                                        <div id="h{{$item['id']}}" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content p-1">
                                                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                                        <h4>Вы точно хотите удалить?</h4>
                                                    </div>
                                                    <a href="{{route('adminIncubirovanetext.show',$item['id'] )}}" class="btn btn-primary mb-2">Да</a>
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach





                                    </div>
                                </div>
                            </div>
                        </div>



                    </div>

    </div>

@endsection

example-app/resources/views/adminPanel/page/pageForm/pagehome/text.blade.php
@extends('../../../adminPanel/app')
@section('title')
      active
    @endsection
@section('scriptAdd')

 <script src="{{asset('style/pageAdmin/assets/js/scrollspyNav.js')}}"></script>
 <script src="{{asset('style/pageAdmin/plugins/highlight/highlight.pack.js')}}"></script>
 <script src="{{asset('style/pageAdmin/assets/js/scrollspyNav.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/flatpickr/flatpickr.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/noUiSlider/nouislider.min.js')}}"></script>

    <script src="{{asset('style/pageAdmin/plugins/flatpickr/custom-flatpickr.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/noUiSlider/custom-nouiSlider.js')}}"></script>
    <script src="{{asset('style/pageAdmin/plugins/bootstrap-range-Slider/bootstrap-rangeSlider.js')}}"></script>
    @endsection
@section('headerAddLink')
    <link href="{{asset('style/css/main.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('style/pageAdmin/assets/css/scrollspyNav.css')}}" rel="stylesheet" type="text/css" />


    <!-- END PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    @endsection
@section('content')

            <div class="container">
                <div class="container">

                    <div id="navSection" data-spy="affix" class="nav  sidenav">
                        <div class="sidenav-content">

                            <a href="#tabsSimple" class="active nav-link">Simple</a>

                        </div>
                    </div>

                    <div class="row layout-top-spacing">
                        <div class="col-lg-12 col-12 layout-spacing" >
                            <div class="statbox widget box box-shadow" style="">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>Добавить</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area simple-pills" >

                                  <form method="post" action="{{route('text.store')}}" >
                                    @csrf
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput">
                                                </div>
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput2">Текст</label>
                                                    <textarea style="min-height: 100px" name="text" class="form-control  "  id="exampleFormControlTextarea1" rows="3"></textarea>
                                                </div>

                                                <input type="submit"  class="btn btn-primary">
                                            </form>


                                </div>
                            </div>
                        </div>





                        <div id="tabsSimple" class="col-lg-12 col-12 layout-spacing">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>Обнoвить/Удалить</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area simple-tab">
                                    <ul class="nav nav-tabs  mb-3 mt-3" id="simpletab" role="tablist">
                                        <li class="nav-item">
                                                <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Заголовок</a>
                                            </li>
                                        @foreach($textT as $item)
                                        <li class="nav-item">
                                            <a class="nav-link text-truncate" id="home-tab" data-toggle="tab" href="#k{{$item['id']}}" role="tab"style="" aria-controls="home" aria-selected="true">{{$item['title']}}</a>
                                        </li>
                                        @endforeach


                                    </ul>
                                    <div class="tab-content" id="simpletabContent">
                                        <div class="tab-pane fade show active" id="pills-home" style="" role="tabpanel" aria-labelledby="home-tab">
                                             <form method="post" action="{{route('title.update', 1)}}" >
                                                 @csrf
                                                 @method('PUT')
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput" value="{{$text[0]['title']}}">
                                                </div>
                                               <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Подзаголовок</label>
                                                    <input name="text" type="text" class="form-control" id="formGroupExampleInput" value="{{$text[0]['text']}}">
                                                </div>
                                                <div class="d-flex justify-content-between">
                                                    <input type="submit"  class="btn btn-primary">
                                                     <a href="" data-toggle="modal" data-target="#f">
                                                    <td class="text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2 icon"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line></svg></td>
                                                    </a>
                                                </div>
                                            </form>
                                        </div>
                                        <div id="f" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content p-1">
                                                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                                        <h4>Вы точно хотите удалить?</h4>
                                                    </div>
                                                    <a href="{{route('title.show', 0)}}" class="btn btn-primary mb-2">Да</a>
                                                </div>
                                            </div>
                                        </div>
                                        @foreach ($textT as $item)


                                        <div class="tab-pane fade show " id="k{{$item['id']}}" style="" role="tabpanel" aria-labelledby="home-tab">
                                             <form method="post" action="{{route('text.update', $item['id'])}}" >
                                                 @csrf
                                                 @method('PUT')
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput " >Заголовок</label>
                                                    <input name="title" type="text" class="form-control" id="formGroupExampleInput" value="{{$item['title']}}">
                                                </div>
                                                <div class="form-group mb-4">
                                                    <label for="formGroupExampleInput2">Текст</label>
                                                     <textarea style="min-height: 100px" name="text" class="form-control  "  id="exampleFormControlTextarea1" rows="3">{{$item['text']}}</textarea>
                                                </div>

                                                 <div class="d-flex justify-content-between">
                                                    <input type="submit"  class="btn btn-primary">
                                                     <a href="" data-toggle="modal" data-target="#h{{$item['id']}}">
                                                    <td class="text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2 icon"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line></svg></td>
                                                    </a>
                                                </div>

                                            </form>
                                        </div>
                                        <div id="h{{$item['id']}}" class="modal fade bd-example-modal-sm " tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content p-1">
                                                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                                        <h4>Вы точно хотите удалить?</h4>
                                                    </div>
                                                    <a href="{{route('text.show',$item['id'] )}}" class="btn btn-primary mb-2">Да</a>
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach






                                </div>
                            </div>
                        </div>



                    </div>


                    </div>
                </div>


 @endsection